{
  config,
  lib,
  pkgs,
  ...
}:

let
  inherit (lib)
    mkEnableOption
    mkIf
    ;
  cfg = config.modules.system.desktop.hyprland;
in
{
  options.modules.system.desktop.hyprland.enable = mkEnableOption "hyprland";

  config = mkIf cfg.enable {
    services.displayManager.ly.enable = true;

    networking.networkmanager.enable = true;

    programs.hyprland = {
      enable = true;
      # withUWSM = true;
    };

    fonts.packages = [
      pkgs.segoe-ui-ttf
    ];
  };
}
